# class RSS::Rss::Channel::Item

### Private Instance Methods

_setup_maker_element(item)
Alias for: setup_maker_element
maker_target(items) click to toggle source

    # File lib/rss/0.9.rb, line 293
    def maker_target(items)
      if items.respond_to?("items")
        # For backward compatibility
        items = items.items
      end
      items.new_item
    end

setup_maker_element(item) click to toggle source
Calls superclass method

    # File lib/rss/0.9.rb, line 301
    def setup_maker_element(item)
      super
      @enclosure.setup_maker(item) if @enclosure
      @source.setup_maker(item) if @source
    end

Also aliased as: _setup_maker_element